Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/exaile: new aport

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Wed, 19 Nov 2014 10:18:30 +0000

---
 testing/exaile/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/exaile/APKBUILD
diff --git a/testing/exaile/APKBUILD b/testing/exaile/APKBUILD
new file mode 100644
index 0000000..f3af4c2
--- /dev/null
+++ b/testing/exaile/APKBUILD
_at_@ -0,0 +1,40 @@
+# Contributor: Alan Lacerda <alacerda_at_alpinelinux.org>
+# Maintainer: Alan Lacerda <alacerda_at_alpinelinux.org>
+pkgname=exaile
+pkgver=3.4.2
+pkgrel=0
+pkgdesc="A music player with a simple interface and powerful music management capabilities"
+url="http://www.exaile.org/"
+arch="noarch"
+license="GPL2"
+depends=""
+depends_dev="python"
+makedepends="$depends_dev gettext"
+install=""
+subpackages=""
+source="https://github.com/$pkgname/$pkgname/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make PREFIX=/usr DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="ff0081f548bc17435877c2c65b05c9b8  3.4.2.tar.gz"
+sha256sums="0e280c317871e37cbe9db8d54d37a5bee99cf36ebd0f55048e41787d0461e4bf  3.4.2.tar.gz"
+sha512sums="1a13585afc4eaa2b03c3be0bd25394e8c6df824999b676349f6efeabe9286d7c773eaf5938d7a644e9facb9b6184c02cc465fe1ec0d22057ab2cb8a521357312  3.4.2.tar.gz"
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Nov 19 2014 - 10:18:30 GMT